PETSc version 3.15.5
Fix/Edit manual page

# PetscDualSpaceLagrangeGetNodeType

Get a description of how nodes are laid out for Lagrange polynomials in this dual space

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceLagrangeGetNodeType(PetscDualSpace sp, PetscDTNodeType *nodeType, PetscBool *boundary, PetscReal *exponent)

Not collective

### Input Parameter

| sp | - The PetscDualSpace

### Output Parameters

| nodeType | - The type of nodes
| boundary | - Whether the node type is one that includes endpoints (if nodeType is PETSCDTNODES_GAUSSJACOBI, nodes that include the boundary are Gauss-Lobatto-Jacobi nodes)
| exponent | - If nodeType is PETSCDTNODES_GAUSJACOBI, indicates the exponent used for both ends of the 1D Jacobi weight function '0' is Gauss-Legendre, '-0.5' is Gauss-Chebyshev of the first type, '0.5' is Gauss-Chebyshev of the second type

### See Also

PetscDTNodeType, PetscDualSpaceLagrangeSetNodeType()

### Level

advanced

### Location

src/dm/dt/dualspace/impls/lagrange/dspacelagrange.c

### Implementations

PetscDualSpaceLagrangeGetNodeType_Lagrange in src/dm/dt/dualspace/impls/lagrange/dspacelagrange.c
Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages